> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all offramp transactions

> Returns all offramp transactions created by your app in the provided time period.



## OpenAPI

````yaml GET /v1/sell/transactions
openapi: 3.0.3
info:
  title: OnrampUnauthService API
  version: v1
servers:
  - url: https://api.developer.coinbase.com/onramp
security:
  - bearerAuth: []
tags:
  - name: Onramp/Offramp
paths:
  /v1/sell/transactions:
    get:
      tags:
        - Onramp/Offramp
      summary: Get all offramp transactions
      description: >-
        Returns all offramp transactions created by your app in the provided
        time period.
      operationId: OnrampOfframp_GetOfframpTransactionsForPartner
      parameters:
        - description: >-
            Date of the oldest transaction to return e.g. `2025-01-02`, 
            `2025-01-02T15:04:05Z`, `2025-01-02T15:04:05+07:00`
          in: query
          name: startDate
          schema:
            type: string
        - description: >-
            Date of the newest transaction to return e.g. `2025-01-03`,
            `2025-01-02T15:04:05Z`, `2025-01-02T15:04:05+07:00`
          in: query
          name: endDate
          schema:
            type: string
        - description: Page key returned by this API for pagination
          in: query
          name: pageKey
          schema:
            type: string
        - description: The number of transactions to return, between 1 and 1000
          in: query
          name: pageSize
          schema:
            format: int64
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOfframpTransactionsForPartnerResponse'
          description: OK
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Status'
          description: Default error response
components:
  schemas:
    GetOfframpTransactionsForPartnerResponse:
      description: Get All Offramp Transactions response
      properties:
        next_page_key:
          description: >-
            The page key to be passed into this API to get the next page of
            results
          type: string
        transactions:
          description: List of transactions
          items:
            $ref: '#/components/schemas/OfframpTransaction'
          type: array
      type: object
    Status:
      description: >-
        The `Status` type defines a logical error model that is suitable for
        different programming environments, including REST APIs and RPC APIs. It
        is used by [gRPC](https://github.com/grpc). Each `Status` message
        contains three pieces of data: error code, error message, and error
        details. You can find out more about this error model and how to work
        with it in the [API Design
        Guide](https://cloud.google.com/apis/design/errors).
      properties:
        code:
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
          type: integer
        details:
          description: >-
            A list of messages that carry the error details.  There is a common
            set of message types for APIs to use.
          items:
            $ref: '#/components/schemas/GoogleProtobufAny'
          type: array
        message:
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
          type: string
      type: object
    OfframpTransaction:
      description: OfframpTransaction
      properties:
        asset:
          description: Currency symbol e.g. `ETH`
          type: string
        coinbase_fee:
          $ref: '#/components/schemas/Amount'
        created_at:
          description: Create at timestamp
          format: date-time
          type: string
        exchange_rate:
          $ref: '#/components/schemas/Amount'
        from_address:
          description: Address crypto was received from
          type: string
        minimum_total:
          $ref: '#/components/schemas/Amount'
        network:
          description: Network name e.g. `ethereum`
          type: string
        redirect_url:
          description: >-
            The URL the user was redirected to after confirming their offramp
            transaction
          type: string
        sell_amount:
          $ref: '#/components/schemas/Amount'
        status:
          description: Current status of the transaction
          enum:
            - TRANSACTION_STATUS_CREATED
            - TRANSACTION_STATUS_EXPIRED
            - TRANSACTION_STATUS_STARTED
            - TRANSACTION_STATUS_SUCCESS
            - TRANSACTION_STATUS_FAILED
          format: enum
          type: string
        subtotal:
          $ref: '#/components/schemas/Amount'
        to_address:
          description: Address crypto was sent to
          type: string
        total:
          $ref: '#/components/schemas/Amount'
        transaction_id:
          description: Unique ID for the transaction
          type: string
        tx_hash:
          description: Onchain tx hash of the send
          type: string
        unit_price:
          $ref: '#/components/schemas/Amount'
        updated_at:
          description: Last update timestamp
          format: date-time
          type: string
        payment_method:
          description: The payment method type used to cashout the crypto
          enum:
            - UNSPECIFIED
            - CARD
            - ACH_BANK_ACCOUNT
            - APPLE_PAY
            - FIAT_WALLET
            - CRYPTO_ACCOUNT
            - GUEST_CHECKOUT_CARD
            - PAYPAL
            - RTP
            - GUEST_CHECKOUT_APPLE_PAY
          format: enum
          type: string
      type: object
    GoogleProtobufAny:
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
      properties:
        '@type':
          description: The type of the serialized message.
          type: string
      type: object
    Amount:
      description: A monetary amount represented by a decimal value and currency symbol
      properties:
        currency:
          description: Currency symbol e.g. `USD`, `BTC`
          type: string
        value:
          description: Non-localized amount in decimal notation (e.g. `1.234`)
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: >-
        Enter your JSON Web Token (JWT) here. Refer to the [Generate
        JWT](/api-reference/authentication#2-generate-jwt-server-only) section
        of our Authentication docs for information on how to generate your
        Bearer Token.
      scheme: bearer
      type: http

````